summaryrefslogtreecommitdiffstats
path: root/network/ipvsadm
diff options
context:
space:
mode:
author luoyi <luoyi.ly@gmail.com>2010-05-11 22:54:50 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:50 +0200
commit87c6ea1426e8662d54facbcd1de8c2750254fe3d (patch)
treed8b4e1fafb703ab8f74fbc434e8044b0e0316440 /network/ipvsadm
parentc1c7ec4f7db8c45eb65783e4306f8bcb04b18cad (diff)
downloadslackbuilds-87c6ea1426e8662d54facbcd1de8c2750254fe3d.tar.gz
slackbuilds-87c6ea1426e8662d54facbcd1de8c2750254fe3d.tar.xz
network/ipvsadm: Added to 12.1 repository
Diffstat (limited to 'network/ipvsadm')
-rw-r--r--network/ipvsadm/README10
-rw-r--r--network/ipvsadm/ipvsadm.SlackBuild60
-rw-r--r--network/ipvsadm/ipvsadm.info8
-rw-r--r--network/ipvsadm/slack-desc11
4 files changed, 89 insertions, 0 deletions
diff --git a/network/ipvsadm/README b/network/ipvsadm/README
new file mode 100644
index 0000000000..0ec3354c7a
--- /dev/null
+++ b/network/ipvsadm/README
@@ -0,0 +1,10 @@
+ipvsadm: Admin tool for the Linux Virtual Server
+
+The Linux Virtual Server is a highly scalable and highly available
+server built on a cluster of real servers, with the load balancer
+running on the Linux operating system. The architecture of the
+server cluster is fully transparent to end users, and the users
+interact as if it were a single high-performance virtual server.
+
+ipvsadm is the admin tool for the Linux Virtual Server
+
diff --git a/network/ipvsadm/ipvsadm.SlackBuild b/network/ipvsadm/ipvsadm.SlackBuild
new file mode 100644
index 0000000000..9e14b1526e
--- /dev/null
+++ b/network/ipvsadm/ipvsadm.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for source-highlight
+# Written by luoyi (luoyi.ly@gmail.com)
+
+# Modified by the slackbuilds.org project
+
+PRGNAM=ipvsadm
+VERSION=${VERSION:-1.24}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make
+make BUILD_ROOT=$PKG install
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/ipvsadm/ipvsadm.info b/network/ipvsadm/ipvsadm.info
new file mode 100644
index 0000000000..3452470b1f
--- /dev/null
+++ b/network/ipvsadm/ipvsadm.info
@@ -0,0 +1,8 @@
+PRGNAM="ipvsadm"
+VERSION="1.24-6"
+HOMEPAGE="http://www.linuxvirtualserver.org/"
+DOWNLOAD="http://www.linuxvirtualserver.org/software/kernel-2.6/ipvsadm-1.24.tar.gz"
+MD5SUM="fb99dce274d2e0c7c3df244388289677"
+MAINTAINER="luoyi"
+EMAIL="luoyi.ly@gmail.com"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/network/ipvsadm/slack-desc b/network/ipvsadm/slack-desc
new file mode 100644
index 0000000000..2c537e63ee
--- /dev/null
+++ b/network/ipvsadm/slack-desc
@@ -0,0 +1,11 @@
+ipvsadm: ipvsadm (Admin tool for the Linux Virtual Server)
+ipvsadm:
+ipvsadm: The Linux Virtual Server is a highly scalable and highly available
+ipvsadm: server built on a cluster of real servers, with the load balancer
+ipvsadm: running on the Linux operating system. The architecture of the
+ipvsadm: server cluster is fully transparent to end users, and the users
+ipvsadm: interact as if it were a single high-performance virtual server.
+ipvsadm:
+ipvsadm:
+ipvsadm: ipvsadm is the admin tool for the Linux Virtual Server
+ipvsadm: